org.apache.cassandra.io

## Class FSWriteError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.io.IOError
      - - org.apache.cassandra.io.FSError
        - - org.apache.cassandra.io.FSWriteError

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    FSDiskFullWriteError

      public class FSWriteError
      extends FSError

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.FSError

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSWriteError(java.lang.Throwable cause, java.io.File path)`
    `FSWriteError(java.lang.Throwable cause, java.lang.String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.io.FSError

      `findNested`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FSWriteError

          public FSWriteError(java.lang.Throwable cause,
                              java.io.File path)

    - #### FSWriteError

          public FSWriteError(java.lang.Throwable cause,
                              java.lang.String path)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2018 The Apache Software Foundation